sage-2.8.2.rc2

2 views
Skip to first unread message

William Stein

unread,
Aug 21, 2007, 6:25:16 PM8/21/07
to sage-...@googlegroups.com
Hello,

I have posted the tarball for sage-2.8.2.rc2 here:

http://sage.math.washington.edu/tmp/

and plan to actually release it
in maybe 8 hours. This is mostly a bug-fix release, both fixing core
library bugs and
issues in the build process (work of 3 people full time for a week),
and fixing actual
bugs in SAGE (the big bug-squash even, etc.). It should have no nontrivial new
features. I want this to be a fairly stable release that isn't broken in any
serious obvious ways. It would be very useful for me if some people could
try downloading this release, building from source, doing "make test",
*trying out the notebook* to make sure isn't completely broken, and also
take a look at the generated html documentation (in SAGE_ROOT/doc).

I made some significant changes to the notebook regarding security, since
the fact that by default anybody can login to the machine where you run
the notebook and hack into your account trivially is a major bug:
(1) the notebook use https by default
(2) notebook.setup() allows one to explictily set the hostname (to eliminate
the certificate error).

Thanks,
-- William

--
William Stein
Associate Professor of Mathematics
University of Washington
http://www.williamstein.org

William Stein

unread,
Aug 21, 2007, 6:46:24 PM8/21/07
to sage-...@googlegroups.com
Sorry to reply to my own post so quickly, but I just noticed a couple
or problems with sage-2.8.2.rc2 (three packages failed to build on various
machines), so I've rolled those back, since those changes were all for
solaris. Anyway, please get sage-2.8.2.rc3.tar instead from
http://sage.math.washington.edu/tmp/

Thanks!

Mike Hansen

unread,
Aug 22, 2007, 1:51:33 AM8/22/07
to sage-...@googlegroups.com
The build went fine for me. All tests passed for me in 1927 seconds
on Ubuntu 7.04 with a Core 2 Duo.

When I tried starting the notebook, I got the following error:

2007/08/22 00:48 -0500 [-] Log opened.
2007/08/22 00:48 -0500 [-] twistd 2.5.0
(/opt/sage-2.8.2.rc3/local/bin/python 2.5.1) starting up
2007/08/22 00:48 -0500 [-] reactor class: <class
'twisted.internet.selectreactor.SelectReactor'>
2007/08/22 00:48 -0500 [-] Loading sage_notebook/twistedconf.tac...
2007/08/22 00:48 -0500 [-] Traceback (most recent call last):
2007/08/22 00:48 -0500 [-] File
"/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/app.py",
line 218, in getApplication
2007/08/22 00:48 -0500 [-] application =
service.loadApplication(filename, style, passphrase)
2007/08/22 00:48 -0500 [-] File
"/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/service.py",
line 341, in loadApplication
2007/08/22 00:48 -0500 [-] application =
sob.loadValueFromFile(filename, 'application', passphrase)
2007/08/22 00:48 -0500 [-] File
"/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/persisted/sob.py",
line 215, in loadValueFromFile
2007/08/22 00:48 -0500 [-] exec fileObj in d, d
2007/08/22 00:48 -0500 [-] File "sage_notebook/twistedconf.tac",
line 46, in <module>
2007/08/22 00:48 -0500 [-] s =
strports.service('tls:8000:privateKey=/home/mike/.sage/notebook/private.pem:certKey=/home/mike/.sage/notebook/public.pem',
factory)
2007/08/22 00:48 -0500 [-] File
"/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/strports.py",
line 172, in service
2007/08/22 00:48 -0500 [-] name, args, kw = parse(description,
factory, default)
2007/08/22 00:48 -0500 [-] File
"/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/strports.py",
line 156, in parse
2007/08/22 00:48 -0500 [-] return
(args[0].upper(),)+_funcs[args[0]](factory, *args[1:], **kw)
2007/08/22 00:48 -0500 [-] File
"/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/strports.py",
line 60, in _parseTLS
2007/08/22 00:48 -0500 [-] from gnutls.interfaces.twisted import
X509Credentials
2007/08/22 00:48 -0500 [-] ImportError: No module named
gnutls.interfaces.twisted
2007/08/22 00:48 -0500 [-] Failed to load application: No module named
gnutls.interfaces.twisted
2007/08/22 00:48 -0500 [-] Unhandled Error
Traceback (most recent call last):
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/app.py",
line 379, in run
runApp(config)
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/scripts/twistd.py",
line 23, in runApp
_SomeApplicationRunner(config).run()
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/app.py",
line 157, in run
self.application = self.createOrGetApplication()
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/app.py",
line 207, in createOrGetApplication
application = getApplication(self.config, passphrase)
--- <exception caught here> ---
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/app.py",
line 218, in getApplication
application = service.loadApplication(filename, style, passphrase)
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/service.py",
line 341, in loadApplication
application = sob.loadValueFromFile(filename,
'application', passphrase)
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/persisted/sob.py",
line 215, in loadValueFromFile
exec fileObj in d, d
File "sage_notebook/twistedconf.tac", line 46, in <module>
s =
strports.service('tls:8000:privateKey=/home/mike/.sage/notebook/private.pem:certKey=/home/mike/.sage/notebook/public.pem',
factory)
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/strports.py",
line 172, in service
name, args, kw = parse(description, factory, default)
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/strports.py",
line 156, in parse
return (args[0].upper(),)+_funcs[args[0]](factory, *args[1:], **kw)
File "/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/twisted/application/strports.py",
line 60, in _parseTLS
from gnutls.interfaces.twisted import X509Credentials
exceptions.ImportError: No module named gnutls.interfaces.twisted


Failed to load application: No module named gnutls.interfaces.twisted
2007/08/22 00:48 -0500 [-]
---------------------------------------------------------------------------
<class 'socket.error'> Traceback (most recent call last)

/opt/sage-2.8.2.rc3/<ipython console> in <module>()

/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/sage/server/notebook/notebook_object.py
in __call__(self, *args, **kwds)
120 """
121 def __call__(self, *args, **kwds):
--> 122 return self.notebook(*args, **kwds)
123
124 notebook = run_notebook.notebook_twisted

/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/sage/server/notebook/run_notebook.py
in notebook_twisted(self, directory, port, address, port_tries,
secure, reset, accounts, server_pool, ulimit, open_viewer)
202 if open_viewer:
203 "Open viewer automatically isn't fully implemented.
You have to manually open your web browser to the above URL."
--> 204 run(port)
205
206 return True

/opt/sage-2.8.2.rc3/local/lib/python2.5/site-packages/sage/server/notebook/run_notebook.py
in run(port)
188 e = os.system('sage -twistd --pidfile="%s"/twistd.pd
-ny "%s"/twistedconf.tac'%(directory, directory))
189 if e == 256:
--> 190 raise socket.error
191
192 if address != 'localhost' and not secure:

<class 'socket.error'>:


--Mike

mabshoff

unread,
Aug 22, 2007, 2:19:04 AM8/22/07
to sage-devel
<SNIP>

> Failed to load application: No module named gnutls.interfaces.twisted
<SNIP>

Can you try reinstalling gnucryptolib-20070814.spkg?

Cheers,

Michael

Mike Hansen

unread,
Aug 22, 2007, 2:36:59 AM8/22/07
to sage-...@googlegroups.com
That worked.

--Mike

mabshoff

unread,
Aug 22, 2007, 2:41:49 AM8/22/07
to sage-devel

Hi Mike,

On Aug 22, 8:36 am, "Mike Hansen" <mhan...@gmail.com> wrote:
> That worked.

William just found out that it is a build failure inside
gnucryptolib.spkg which itself contains 5 other spkgs. gnu tls never
got installed because the build for another spkg failed. He has a new
working package. gnucryptolib will also be split up for 2.8.3.
>
> --Mike
>

Cheers,

Michael

David Joyner

unread,
Aug 22, 2007, 6:16:39 AM8/22/07
to sage-...@googlegroups.com
same problem, suse 10.2, amd64.

By "reinstalling gnucryptolib-20070814.spkg" do you mean
"sage -f gnucryptolib-20070814.spkg"?

+++++++++++++++++++++++++++++++++++++++++++

mabshoff

unread,
Aug 22, 2007, 6:20:54 AM8/22/07
to sage-devel

On Aug 22, 12:16 pm, "David Joyner" <wdjoy...@gmail.com> wrote:
> same problem, suse 10.2, amd64.
>
> By "reinstalling gnucryptolib-20070814.spkg" do you mean
> "sage -f gnucryptolib-20070814.spkg"?
>

Something along the lines. There was a dependency issue:

cyptolib depends on python
python depends on cyptolib

That is a problem :). 2.8.2 is out which did fix this.

Cheers,

Michael

David Joyner

unread,
Aug 22, 2007, 6:26:33 AM8/22/07
to sage-...@googlegroups.com
Okay, now on an amd64 suse 10.2 machine everything works:
install, make test, and the secure notebook. However, I had to install then
run "sage -f gnucryptolib-20070814.spkg" to get the notebook to
work.


On 8/22/07, mabshoff <Michael...@fsmath.mathematik.uni-dortmund.de> wrote:
>
>
>

Nicholas Alexander

unread,
Aug 22, 2007, 12:12:24 PM8/22/07
to sage-...@googlegroups.com
Build failed on a Mac OS X 10.5, Core2 duo Intel. I think this is
due to my badly configured X installation and requires no further
action by the SAGE team.

Nick

Relevant part of install.log is:

...
dvipdf clisp.dvi clisp.pdf
dyld: Library not loaded: /usr/X11R6/lib/libXt.6.dylib
Referenced from: /sw/bin/gs
Reason: image not found
/sw/bin/dvipdf: line 45: 9840 Broken pipe exec dvips -q -
f "$infile"
9841 Trace/BPT trap | $GS_EXECUTABLE $OPTIONS -q -
dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -
c .setpdfwrite -
make[2]: [clisp.pdf] Error 133 (ignored)
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local || mkdir -p /Users/
ncalexan/Devel/sage-2.8.2.rc3/local
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local || mkdir -p /Users/
ncalexan/Devel/sage-2.8.2.rc3/local
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share || mkdir -p /
Users/ncalexan/Devel/sage-2.8.2.rc3/local/share
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/man || mkdir
-p /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/man
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/man/man1 ||
mkdir -p /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/man/man1
/usr/bin/install -c -m 644 clisp.1 /Users/ncalexan/Devel/
sage-2.8.2.rc3/local/share/man/man1/clisp.1
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp ||
mkdir -p /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp
/usr/bin/install -c -m 644 clisp.html /Users/ncalexan/Devel/
sage-2.8.2.rc3/local/share/doc/clisp/clisp.html
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp ||
mkdir -p /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp ||
mkdir -p /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp
test -d /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp ||
mkdir -p /Users/ncalexan/Devel/sage-2.8.2.rc3/local/share/doc/clisp
/usr/bin/install -c -m 644 clisp.dvi /Users/ncalexan/Devel/
sage-2.8.2.rc3/local/share/doc/clisp/clisp.dvi
/usr/bin/install -c -m 644 clisp.ps /Users/ncalexan/Devel/
sage-2.8.2.rc3/local/share/doc/clisp/clisp.ps
/usr/bin/install -c -m 644 clisp.pdf /Users/ncalexan/Devel/
sage-2.8.2.rc3/local/share/doc/clisp/clisp.pdf
install: clisp.pdf: No such file or directory
make[2]: *** [install-man] Error 71
Something went wrong -- the clisp executable was not installed.
If you already have clisp, you can type touch spkg/installed/clisp-2.38
(or whatever the current version is) from SAGE_ROOT, and continue the
install. This tells SAGE that you already have clisp-2.38 installed.
Clisp is only used by the Maxima component of SAGE.

real 4m45.299s
user 2m45.963s
sys 1m17.141s
sage: An error occured while installing clisp-2.41.p6
Please email sage-devel http://groups.google.com/group/sage-devel
explaining the problem and send the relevant part of
of /Users/ncalexan/Devel/sage-2.8.2.rc3/install.log. Describe your
computer, operating system, etc.
If you want to try to fix the problem, yourself *don't* just cd to
/Users/ncalexan/Devel/sage-2.8.2.rc3/spkg/build/clisp-2.41.p6 and
type 'make'.
Instead (using bash) type "source local/bin/sage-env" from the directory
/Users/ncalexan/Devel/sage-2.8.2.rc3
in order to set all environment variables correctly, then cd to
/Users/ncalexan/Devel/sage-2.8.2.rc3/spkg/build/clisp-2.41.p6
make[1]: *** [installed/clisp-2.41.p6] Error 1

real 69m18.823s
user 41m16.437s
sys 17m39.802s

mabshoff

unread,
Aug 22, 2007, 12:27:43 PM8/22/07
to sage-devel

Hello Nick,

On Aug 22, 6:12 pm, Nicholas Alexander <ncalexan...@gmail.com> wrote:
> Build failed on a Mac OS X 10.5, Core2 duo Intel. I think this is
> due to my badly configured X installation and requires no further
> action by the SAGE team.
>

Yep, your dvipdf is borken due to a missing /usr/X11R6/lib/libXt.
6.dylib
<SNIP>


> dyld: Library not loaded: /usr/X11R6/lib/libXt.6.dylib

<SNIP>
Then make shoots itself because "install" cannot find clisp.pdf
(because it was never created)


/usr/bin/install -c -m 644 clisp.pdf /Users/ncalexan/Devel/
sage-2.8.2.rc3/local/share/doc/clisp/clisp.pdf
install: clisp.pdf: No such file or directory

<SNIP>

So just do a "touch sage-2.8.2.rc3/local/share/doc/clisp/clisp.pdf"
from $SAGE_LOCAL, rerun spkg-install and you install should work. You
could also fix your dvipdf :)

<SNIP>

By the way: Sage 2.8.2 has been released, but you will run into the
exact same problem there.

Cheers,

Michael

Reply all
Reply to author
Forward
0 new messages